#!/bin/bash

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Change Log:
#     June 21, 2004 - JC: created
#
#
# Description: This script updates the signature file by updating the size of the marker file: *.product
#

TIO_HOME=`su - tioadmin -c 'if [ -f $HOME/.profile ]; then grep .TCprofile $HOME/.profile; else grep .TCprofile $HOME/.bash_profile; fi' | tail -1 | awk '{print $2}' | sed -e 's^/.TCprofile^^g'`

NEWSIZE=`ls -l $TIO_HOME/properties/version/TIO.product | sed -e "s/  */ /g" | cut -d ' ' -f5`

OLDSIZE=`grep 'fileSize' $TIO_HOME/properties/version/TIOSignature.xml | cut -d '>' -f2 | cut -d '<' -f1`

echo "/$OLDSIZE/
s/$OLDSIZE/$NEWSIZE/
wq" | ex $TIO_HOME/properties/version/TIOSignature.xml





 


